/* Responsive Design Start */

@import url('https://fonts.googleapis.com/css2?family=Kanit&family=Rubik+80s+Fade&family=Seymour+One&display=swap');

@media (max-width:999px) {
    body{
        background: #000;
    }

    #nav-bar .nav-bar-heading{
        margin-left: 30px;
    }

    #nav-bar .hamburger{
        display: block;
        cursor: pointer;
        margin-right: 20px;
    }

    #nav-bar .hamburger .line{
        width: 30px;
        height: 3px;
        background: #fff;
        margin: 6px 0px;
    }

    #nav-bar  ul{
        position: absolute;
        top: 30px;
        left: 0;
        right: 0;
        width: 100vw;
        height: 100vh;
        background: #000;
        transition: .5s;
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 30px;
        margin-top: 110px;
        overflow: hidden;
        transform: translateX(-850px);
        z-index: 1;
    }

    #nav-bar ul.active{
        transform: translateX(0px);
    }

    #nav-bar ul a{
        font-size: 2rem;
    }

    #nav-bar ul a:hover{
        font-size: 1.8rem;
        border-bottom: 2px solid #c21a65;;
    }

    #nav-bar ul a::before{
        content: '';
        position: absolute;
        display: flex;
        top: 50%;
        left: 50%;
        justify-content: center;
        align-items: center;
        transform: translate(-50%, -50%);
        font-size: 5em;
        opacity: 0;
        color: #fff;
        z-index: -1;
        transition: .5s;
        letter-spacing: 600px;
        font-family: 'Kanit', sans-serif;
        text-transform: initial;
    }
    
    #nav-bar ul a:hover::before{
        content: attr(data-text);
        opacity: 1;
        background: #000;
        width: 100vw;
        height: 100vh;
        letter-spacing: 10px;
    }

    #home .home-content .home-content-text-1 span{
        width: 100%;
        font-size: 3rem;
    }

    #home .home-content .home-content-text-2 {
        font-size: 2rem;
    }

    #home .home-content .home-content-text-3 {
        font-size: .8rem;
    }

    #info-area {
        min-height: 80vh;
    }

    #info-area .info-para-2 .info-para-2-span-1{
        font-size: 1.7rem;
    }

    #info-area .info-para-2 .info-para-2-span-2{
        font-size: 1.7rem;
    }

    #info-area .info-para-1{
        font-size: 1.5rem;
    }

    #project {
        min-height: 50vh;
    }

    #services .service-text-1{
        width: 80%;
    }

    #services .service-para-1{
        width: 80%;
        text-align: left;
    }

    #contact{
        min-height: 70vh;
    }

  
}

@media (max-width:700px) {

    #home .home-content .home-content-text-1 span{
        font-size: 3rem;
        width: 70%;
        text-align: center;
    }

    #home .home-content .home-content-text-2 {
        font-size: 1.5rem;
    }

    #home .home-content .home-content-text-3 {
        font-size: .5rem;
    }

    #info-area .info-para-2 .info-para-2-span-1{
        font-size: 1.5rem;
    }

    #info-area .info-para-2 .info-para-2-span-2{
        font-size: 1.5rem;
    }

    #info-area .info-para-1{
        font-size: 1rem;
    }

    #info-area .info-text-1{
        font-size: 5rem;
        text-align: center;
    }

    #skill-area #container .skill-name {
        font-size: 15px;
    }

    #skill-area #container {
        width: 380px;
    }

    #project .p-head h2{
        font-size: 4rem;
    }

    #project .p-head p{
        font-size: .8rem;
    }

    #footer .container .fcb-1 h3{
        display: none;
    }

    #footer .container .fcb-2 .f-icon{
        margin-top: 5px;
        margin-right: 4px;
        margin-left: 4px;
        font-size: 1rem;
    }
}

@media (max-width:550px) {

    #info-area .info-text-1{
        font-size: 2.5rem;
    }

    #info-area .info-para-1{
        font-size: .8rem;
    }

    #info-area .social-icon .info-icon{
        font-size: 2rem;
    }

    #services .service-text-1{
        font-size: 2rem;
    }

    #services .service-text-1 span{
        font-size: 1.5rem;
    }

    #services .service-para-1 {
        width: 90%;
        font-size: .7rem;
    }

    #skill-area #container .skill-name {
        font-size: 12px;
    }

    #skill-area #container {
        width: 350px;
    }

    #skill-area #container-2{
        width: 200px;
        height: 1000px;
    }

    #contact .container h2{
        font-size: 1.5rem;
    }

    #contact .container .c-icon{
        font-size: 2rem;
    }
}

/* Responsive Design End */